/******************************************************************************
 GLHelpText.h

	Copyright  1998 by Glenn Bach. All rights reserved.

 ******************************************************************************/

#ifndef _H_GLHelpText
#define _H_GLHelpText

#include <jTypes.h>

extern JSize kHelpSectionCount;

extern const JCharacter* kHelpSectionName[];
extern const JCharacter* kHelpSectionTitle[];
extern const JCharacter* kHelpSectionText[];

extern const JCharacter* kTOCHelpName;
extern const JCharacter* kTOCHelpTitle;
extern const JCharacter* kTOCHelpText;

extern const JCharacter* kTableHelpName;
extern const JCharacter* kTableHelpTitle;
extern const JCharacter* kTableHelpText;

extern const JCharacter* kTableDataHelpName;
extern const JCharacter* kTableFilesHelpName;
extern const JCharacter* kTablePrintHelpName;

extern const JCharacter* kPlotHelpName;
extern const JCharacter* kPlotHelpTitle;
extern const JCharacter* kPlotHelpText;

extern const JCharacter* kPlotSettingsHelpName;
extern const JCharacter* kPlotCursorsHelpName;
extern const JCharacter* kPlotAnalysisHelpName;

extern const JCharacter* kModuleHelpName;
extern const JCharacter* kModuleHelpTitle;
extern const JCharacter* kModuleHelpText;

extern const JCharacter* kChangeLogName;
extern const JCharacter* kChangeLogTitle;
extern const JCharacter* kChangeLogText;

extern const JCharacter* kCreditsName;
extern const JCharacter* kCreditsTitle;
extern const JCharacter* kCreditsText;

#endif