/******************************************************************************
 ExprDirector.h

	Interface for the ExprDirector class

	Copyright  1997 by Glenn Bach. 
	This code may be freely distributed, used, and modified without restriction.

 ******************************************************************************/

#ifndef _H_ExprDirector
#define _H_ExprDirector

#include <JXDialogDirector.h>

#include <JString.h>

class GVarList;
class JFunction;
class JXExprEditor;

class ExprDirector : public JXDialogDirector
{
public:

	ExprDirector(JXDirector* supervisor, const GVarList* list, const JCharacter* function);
	virtual ~ExprDirector();

	JString GetString();

private:

	JFunction* 		itsFunction;
	JString			itsFnString;
	JXExprEditor*	itsEditor;

private:

	// not allowed

	ExprDirector(const ExprDirector& source);
	const ExprDirector& operator=(const ExprDirector& source);
};

#endif
