/******************************************************************************
 GHintsDir.h

	Interface for the GHintsDir class

	Copyright  1997 by Glenn Bach. 
	This code may be freely distributed, used, and modified without restriction.

 ******************************************************************************/

#ifndef _H_GHintsDir
#define _H_GHintsDir

#include <JXWindowDirector.h>
#include <JXStaticText.h>
#include <JXWidget.h>
#include <jTypes.h>

class GHintsDir : public JXWindowDirector
{
public:

	GHintsDir(JXDirector* supervisor, const JCharacter* text, JXWidget* widget);

	virtual ~GHintsDir();

private:

	JXStaticText*			itsText;
	
private:

	// not allowed

	GHintsDir(const GHintsDir& source);
	const GHintsDir& operator=(const GHintsDir& source);
};

#endif