/******************************************************************************
 GLPlotHelpText.cc

 	Copyright  1998 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#include "GLHelpText.h"

const JCharacter* kPlotHelpName  		= "GLPlotHelp";
const JCharacter* kPlotHelpTitle 		= "Plot Window";

const JCharacter* kPlotSettingsHelpName = "GLPlotHelp#Settings";
const JCharacter* kPlotCursorsHelpName 	= "GLPlotHelp#Cursors";
const JCharacter* kPlotAnalysisHelpName	= "GLPlotHelp#Analysis";

const JCharacter* kPlotHelpText =

"<html>"
"<h3>Plot window</h3>"
"<p>"
"<a name=Settings>"

"<b>Plot settings</b>"

"<p>"

"<b>Curve settings</b> "

"To change the settings of a curve, either select Curve settings... from "
"the Settings menu or double-click on the appropriate curve label in the "
"legend."

"<p>"

"<b>Scale</b> "

"You can change the scale of the plot in several ways. To view the scale "
"dialog box, which allows you to change the scale in both axes, you can "
"select Scale from the Settings menu, or double-click on the appropriate "
"axis. To scale without the dialog, click and drag the mouse, which will "
"create a zoom rectangle. If the Meta key is pressed, the scale will be "
"changed to show exactly the region contained by the zoom rectangle. If the "
"Meta key is not pressed, a reasonable scale will be chosen around the area "
"of interest. To return the scale to the default, select Reset scale from "
"the Settings menu."

"<p>"

"<b>Range</b> " 

"The range specifies what portion of the curves will be "
"drawn, and what portion of the curves will by used in the analysis. To set "
"the range, zoom in to the desired range and select Set range from the "
"Settings menu. You can then reset the range by selecting Clear range from "
"the Settings menu."

"<p>"

"<b>Labels</b> "

"You can edit the plot labels either by selecting Labels from the Settings "
"menu, or double-clicking on the appropriate label."

"<p>"
"<a name=Cursors>"

"<b>Cursors</b>"

"<p>"

"Cursors are a useful way of determining the position of various features "
"on a curve. If you view Dual cursors, the values of both cursors will be "
"displayed along with the distance between them. "

"<p>"
"<a name=Analysis>"

"<b>Curve fitting</b> "

"<p>"

"To fit a curve, select the curve name from one of the fit sub-menus in the "
"Analysis menu. The fit parameters and residual plots can be viewed by "
"selecting the appropriate entry in the Fit parameters and Residual plots "
"sub-menus."
"</html>"
;