/******************************************************************************
 GLTOCHelpText.cc

	Copyright  1998 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "GLHelpText.h"

const JCharacter* kTOCHelpName  = "GLTOCHelp";
const JCharacter* kTOCHelpTitle = "Table of Contents";

const JCharacter* kTOCHelpText =

"<html>"

"<h3> Table of Contents </h3>"

"<p>"

"<b>Glove</b>"

"<p>"

"A data acquisition, manipulation, and analysis program for X-Windows."

"<ul>"
"<li> <a href=jxhelp:GLTableHelp>Data Window</a>"
"     <ul>"
"     <li> <a href=jxhelp:GLTableHelp#Data>Manipulating data</a>"
"     <li> <a href=jxhelp:GLTableHelp#Files>Working with files</a>"
"     <li> <a href=jxhelp:GLTableHelp#Print>Printing and plotting data</a>"
"     </ul>"
"<p>"
"<li> <a href=jxhelp:GLPlotHelp>Plot Window</a>"
"     <ul>"
"     <li> <a href=jxhelp:GLPlotHelp#Settings>Plot settings</a>"
"     <li> <a href=jxhelp:GLPlotHelp#Cursors>Cursors</a>"
"     <li> <a href=jxhelp:GLPlotHelp#Analysis>Analysis</a>"
"     </ul>"
"<p>"
"<li> <a href=jxhelp:GLModuleHelp>Modules</a>"
"<p>"
"<li> <a href=jxhelp:GLChangeLog>Change log</a>"
"<p>"
"<li> <a href=jxhelp:GLCredits>Credits</a>"
"<p>"
"</ul>"

"For more information about a particular feature, simply click on the "
"underlined text."

"</html>"
;
