const JCharacter* helptext = 
"<h3>Working with files</h3>"
"<p>"
"<b>Open</b>"
""
"<br>To open a file, select <i>Open</i> from the <i>File</i> menu. If the"
"file is in the Glove file format, it will be loaded into a new window. If"
"the file is in a different format, you will be asked to select the"
"appropriate import module to translate the file's data into a format"
"readable by Glove."
""
"<p>"
"<b>Save</b>"
""
"<br>To save your work in a Glove formatted file, simply select <i>Save</i>"
"or <i>Save-as</i> from the <i>File</i> menu."
""
"<p>"
""
"<b>Export</b>"
""
"<br>To save you data in a format other than the Glove format, select the"
"appropriate module in the <i>Export</i> sub-menu under the <i>File</i>"
"menu. This will save only the raw data, not the plots or analysis."
""
"<p>"
"<h3>Working with data</h3>"
"<p>"
"<b>Editing</b>"
""
"<br>Double-click on a cell to edit its value. Pressing the return key will"
"accept the new value and move the edit field to the next cell in the"
"column. Pressing shift-return will move the edit field to the previous cell"
"in the column. Pressing tab/shift-tab will move the edit field to the"
"next/previous cell in the current row. If the edited cell was the last cell"
"in the column, a new row will be created below it. If the edited cell was"
"in the last column, new columns will be added to the end of the table."
""
"<p>"
""
"<b>Generating data</b>"
""
"<br>To generate a sequential column of data, select <i>By increment</i> or"
"<i>By range</i> in the <i>Generate column</i> sub-menu under the"
"<i>Data</i> menu."
""
"<p>"
"<b>Transforming data</b>"
""
"<br>Data can be transformed on a column by column basis with the"
"<i>Transform</i> menu item in the <i>Data</i> menu. The transform dialog"
"allows you to specify an equation using standard mathematical functinos."
"Columns are specified as an array, <i>col[1]</i>specifying column one. For"
"complicated equations, the graphical equation editor can be helpful."
""
"<p>"
"<b>Data modules</b>"
""
"<br>Data modules serve two purposes. For transformations that require more"
"than a basic equation, a data module can be used to transform an arbitrary"
"number of columns in an arbitrary way. A data module can also act as an"
"acquisition module, serving as an interface to data acquisition hardware."
""
"<p>"
"<b>Plotting</b>"
""
"<br>To plot data, select the <i>Plot</i> item in the <i>Data</i> menu. The"
"plot dialog box allows you to specify columns for <i>X</i> and <i>Y</i>,"
"and for errors in <i>X</i> and <i>Y</i>. You may choose to plot the data in"
"a new plot, or in a previous plot. If columns are selected prior to opening"
"the plot dialog, the dialog box will set the first selected column to the"
"<i>X</i> axis, the second to the <i>Y</i> axis, and the third and fourth"
"selected columns to the <i>Y</i> and <i>X</i> errors respectively. You can"
"reassign these from within the dialog box if you choose."
""
"<p>"
"<hr>"
"<p>"
"For information on the construction of modules please see:"
"<br>http://www.pma.caltech.edu/~glenn/glove/modules.html"
"<p>"
"<hr>"
"<p>"
"Glove was written using the JX Application Framework:"
"<br>http://www.cco.caltech.edu/~jafl/jx/";